[CDBI] Inserts fail after upgrading PostgreSQL from 7.4 to 8.2

Lars Haugseth list+classdbi at larshaugseth.com
Tue Dec 11 14:34:55 GMT 2007


On Tuesday 11 December 2007 11:14:43 Lars Haugseth wrote:
> I'm looking into a problem with an application using Class::DBI version
> 0.96. Until now, the application has been running on a PostgreSQL 7.4
> database. For several reasons, we wish to upgrade the database to run on
> PostgreSQL 8.2.
>
> However, upgrading the database breaks all inserts being made.

I've just upgraded Class::DBI::Pg from 0.08 to 0.09, and as far as I can see
it has fixed our problem. My apologies for posting here before attempting
that.

Regards,
-- 
Lars Haugseth



More information about the ClassDBI mailing list